source: trunk/softs/tests_ccvcache_v4/test_interrupt_extended2/run @ 232

Last change on this file since 232 was 232, checked in by alain, 12 years ago

Introducing the elementary tests for a TSAR mono-cluster
mono-processor platform with MMU using the vci_cc_vcache_v4
such as the "tsarv4_mono_mmu".
(assemby level tests written by Manuel Bouyer)

  • Property svn:executable set to *
File size: 849 bytes
Line 
1#!/bin/sh
2
3check_output()
4{
5        egrep "^end 0x0000DEAD 0x0000BEF0$" run.out > /dev/null
6        if [ $? -ne 0 ]; then
7                echo "couldn't find string 1 in output - mtty not working ?" >> run.out
8                return 1
9        fi
10        egrep "^status 0x00400403" run.out
11        return 0;
12}
13echo 
14for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99; do
15        echo -n "    DELAY=$i: "
16        make INTERRUPT_DELAY=$i --quiet || exit 1
17        ../platform/simulation.x > run.out 2>&1 
18        if [ $? -eq 0 ]; then
19                if check_output; then
20                        echo "test passsed";
21                        make --quiet clean
22                else
23                        echo "test FAILED"
24                        exit 1
25                fi
26        else 
27                echo "test FAILED"
28                exit 1
29        fi
30done
31
Note: See TracBrowser for help on using the repository browser.